> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List containers

> List all containers in the specified project and region.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/caas/{project_id}/{region_id}/containers
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/caas/{project_id}/{region_id}/containers:
    get:
      tags:
        - Container as a Service
      summary: List containers
      description: List all containers in the specified project and region.
      operationId: ContainersHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project id
          schema:
            description: Project id
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region id
          schema:
            description: Region id
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContainerListSerializer'
components:
  schemas:
    ContainerListSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ContainerSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: ContainerListSerializer
      type: object
    ContainerSerializer:
      properties:
        address:
          description: Container address
          example: some.example.com
          examples:
            - some.example.com
          title: Address
          type: string
        commands:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Container's commands
          examples:
            - python3 app.py -m test
          title: Commands
        created_at:
          description: Container creation date
          example: '2021-01-01T00:00:00Z'
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          title: Created At
          type: string
        deploy_status:
          $ref: '#/components/schemas/DeployStatusSerializer'
          description: Container deploy status
        description:
          description: Container description
          example: My first container
          examples:
            - My first container
          title: Description
          type: string
        envs:
          description: Container environment variables
          example:
            ENVIRONMENT_VARIABLE: value 2
            ENV_VAR: value 1
          examples:
            - ENVIRONMENT_VARIABLE: value 2
              ENV_VAR: value 1
          patternProperties:
            ^[a-zA-Z_][a-zA-Z0-9_]*$:
              maxLength: 255
              type: string
          propertyNames:
            maxLength: 255
          title: Envs
          type: object
        flavor:
          description: Container flavor
          example: 250mCPU-512MiB
          examples:
            - 250mCPU-512MiB
          title: Flavor
          type: string
        image:
          description: Container image
          example: nginx:latest
          examples:
            - nginx:latest
          title: Image
          type: string
        is_api_key_auth:
          description: Enable/Disable api key authentication
          example: false
          examples:
            - false
          title: Is Api Key Auth
          type: boolean
        is_disabled:
          description: Set to true if container is disabled
          example: false
          examples:
            - false
          title: Is Disabled
          type: boolean
        listening_port:
          description: Container listening port
          example: 80
          examples:
            - 80
          title: Listening Port
          type: integer
        logging:
          anyOf:
            - $ref: '#/components/schemas/LoggingOutSerializer'
            - type: 'null'
          default: null
          description: Logging configuration
          examples:
            - destination_region_id: 1
              enabled: true
              retention_policy:
                period: 45
              topic_name: my-log-name
        name:
          description: Container name
          example: nginx
          examples:
            - nginx
          title: Name
          type: string
        namespace:
          description: Container namespace
          example: default
          examples:
            - default
          title: Namespace
          type: string
        pull_secret:
          anyOf:
            - type: string
            - type: 'null'
          description: Image pull secret
          examples:
            - my-secret
          title: Pull Secret
        scale:
          $ref: '#/components/schemas/ScaleSerializer'
          description: Container autoscaling
          examples:
            - max: 2
              min: 1
        source:
          description: Source of the container, can be 'cloud' or 'iate'
          example: cloud
          examples:
            - cloud
          title: Source
          type: string
        status:
          description: Container status
          example: RUNNING
          examples:
            - RUNNING
          title: Status
          type: string
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          description: Container status message
          examples:
            - Some container status
          title: Status Message
        timeout:
          description: Container timeout in seconds
          example: 5
          examples:
            - 5
          title: Timeout
          type: integer
      required:
        - name
        - image
        - listening_port
        - description
        - envs
        - timeout
        - flavor
        - source
        - scale
        - is_disabled
        - is_api_key_auth
        - pull_secret
        - status
        - status_message
        - namespace
        - address
        - created_at
        - deploy_status
      title: ContainerSerializer
      type: object
    DeployStatusSerializer:
      properties:
        ready:
          description: Number of ready instances
          example: 1
          examples:
            - 1
          title: Ready
          type: integer
        total:
          description: Total number of instances
          example: 2
          examples:
            - 2
          title: Total
          type: integer
      required:
        - total
        - ready
      title: DeployStatusSerializer
      type: object
    LoggingOutSerializer:
      properties:
        destination_region_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: ID of the region in which the logs will be stored
          examples:
            - 1
          title: Destination Region Id
        enabled:
          description: Indicates if log streaming is enabled or disabled
          example: true
          examples:
            - true
            - false
          title: Enabled
          type: boolean
        retention_policy:
          anyOf:
            - $ref: '#/components/schemas/LaasIndexRetentionPolicyPydanticSerializer'
            - type: 'null'
          default: null
          description: Logs retention policy
          examples:
            - period: 45
        topic_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The topic name to stream logs to
          examples:
            - my-log-name
          title: Topic Name
      required:
        - enabled
        - destination_region_id
        - topic_name
      title: LoggingOutSerializer
      type: object
    ScaleSerializer:
      properties:
        cooldown_period:
          anyOf:
            - maximum: 3600
              minimum: 1
              type: integer
            - type: 'null'
          default: 60
          description: Cooldown period in seconds
          title: Cooldown Period
        max:
          description: Maximum number of instances
          maximum: 25
          minimum: 1
          title: Max
          type: integer
        min:
          description: Minimum number of instances
          maximum: 25
          minimum: 0
          title: Min
          type: integer
        triggers:
          anyOf:
            - $ref: '#/components/schemas/ScaleTriggersSerializer'
            - type: 'null'
          default: null
          description: Scale triggers configuration
      required:
        - min
        - max
      title: ScaleSerializer
      type: object
    LaasIndexRetentionPolicyPydanticSerializer:
      properties:
        period:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1825
              type: integer
            - type: 'null'
          description: Duration of days for which logs must be kept.
          examples:
            - 45
          title: Period
      required:
        - period
      title: LaasIndexRetentionPolicyPydanticSerializer
      type: object
    ScaleTriggersSerializer:
      properties:
        cpu:
          anyOf:
            - $ref: '#/components/schemas/CpuTriggerSerializer'
            - type: 'null'
          default: null
          description: CPU trigger configuration
        http:
          anyOf:
            - $ref: '#/components/schemas/HttpTriggerSerializer'
            - type: 'null'
          default: null
          description: HTTP trigger configuration
        memory:
          anyOf:
            - $ref: '#/components/schemas/MemoryTriggerSerializer'
            - type: 'null'
          default: null
          description: Memory trigger configuration
      title: ScaleTriggersSerializer
      type: object
    CpuTriggerSerializer:
      properties:
        threshold:
          description: CPU usage percentage
          maximum: 99
          minimum: 1
          title: Threshold
          type: integer
      required:
        - threshold
      title: CpuTriggerSerializer
      type: object
    HttpTriggerSerializer:
      properties:
        rate:
          description: HTTP requests rate
          maximum: 1000
          minimum: 1
          title: Rate
          type: integer
        window:
          description: Time window in seconds
          maximum: 3600
          minimum: 1
          title: Window
          type: integer
      required:
        - rate
        - window
      title: HttpTriggerSerializer
      type: object
    MemoryTriggerSerializer:
      properties:
        threshold:
          description: Memory usage percentage
          maximum: 99
          minimum: 1
          title: Threshold
          type: integer
      required:
        - threshold
      title: MemoryTriggerSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````